from pydantic_settings import BaseSettings, SettingsConfigDict


class Settings(BaseSettings):
    model_config = SettingsConfigDict(
        env_file=".env",
        env_file_encoding="utf-8",
        extra="ignore",
    )

    app_name: str = "Nuzlocke Tracker API"
    debug: bool = False

    # API settings
    api_v1_prefix: str = "/api/v1"

    # Database settings
    database_url: str = "postgresql+asyncpg://postgres:postgres@localhost:5432/nuzlocke"


settings = Settings()
